gnutls_x509_crt_set_extension_by_oid(3)

NAME
gnutls_x509_crt_set_extension_by_oid - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_extension_by_oid(gnutls_x509_crt_t crt, const char * oid, const void * buf, size_t sizeof_buf, unsigned int critical);

ARGUMENTS

gnutls_x509_crt_t crt
    a certificate of type gnutls_x509_crt_t

const char * oid
    holds an Object Identified in null terminated string

const void * buf
    a pointer to a DER encoded data

size_t sizeof_buf
    holds the size of buf

unsigned int critical
    should be non zero if the extension is to be marked as critical

DESCRIPTION
This function will set an the extension, by the specified OID, in the certificate. The extension data should be binary data DER encoded.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.